
%define major	6
%define api	2.0
%define libname	%mklibname usbmuxd %{api} %{major}
%define devname	%mklibname usbmuxd -d

Name:		libusbmuxd
Version:	2.0.2
Release:	%mkrel 2
Summary:	Client library USB multiplex daemon for Apple's iOS devices
Group:		System/Libraries
License:	LGPLv2+
Url:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0

%description
libusbmuxd is the client library used for communicating with Apple's iPod Touch,
iPhone, iPad and Apple TV devices. It allows multiple services on the device to
be accessed simultaneously.

#-------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library to access the usbmuxd daemon

Obsoletes: lib64usbmuxd6
Provides:  lib64usbmuxd6 = %{version}-%{release}

%description -n	%{libname}
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

#-------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Files for development with %{name}.

#-------------------------------------------------
%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/inetcat
%{_bindir}/iproxy
%{_mandir}/man1/inetcat.1*
%{_mandir}/man1/iproxy.1*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Wed May 05 2021 tex - 2.0.2-2pclos2021
- rebuild against updates

* Tue May 04 2021 tex - 2.0.2-1pclos2021
- new version
